debDebianSourceDirIndex Class Reference
Inheritance diagram for debDebianSourceDirIndex:
[legend]
Collaboration diagram for debDebianSourceDirIndex:
[legend]

## Public Member Functions

const Type * | GetType () const override APT_PURE
Public Member Functions inherited from debDscFileIndex
const Type * | GetType () const override APT_PURE
pkgSrcRecords::Parser * | CreateSrcParser () const override
bool | HasPackages () const override
| debDscFileIndex (std::string const &DscFile)
Public Member Functions inherited from pkgDebianIndexRealFile
std::string | Describe (bool=false) const override
bool | Exists () const override
unsigned long | Size () const override
std::string | ArchiveURI (std::string const &) const override
| pkgDebianIndexRealFile (std::string const &File, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions

std::string | GetComponent () const override
Protected Member Functions inherited from debDscFileIndex
std::string | GetComponent () const override
std::string | GetArchitecture () const override
uint8_t | GetIndexFlags () const override
Protected Member Functions inherited from pkgDebianIndexRealFile
std::string | IndexFileName () const override
std::string | GetProgressDescription () const override
bool | OpenListFile (FileFd &Pkg, std::string const &FileName) override
Protected Member Functions inherited from pkgDebianIndexFile
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members

Protected Attributes inherited from pkgDebianIndexRealFile
std::string | File
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## GetComponent()

std::string GetComponent | ( |  | ) | const

nodiscard override protected virtual

Implements pkgDebianIndexFile.

## GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const

nodiscard override virtual

Implements pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc